Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.hl7.v3.framework.acknowledgement
Class HL7v3AcknowledgementInfo

    java.lang.Object
      com.stc.connector.hl7.v3.framework.acknowledgement.HL7v3AcknowledgementInfo

All Implemented Interfaces:
  HL7v3AcknowledgementInfoInterface

    public class HL7v3AcknowledgementInfo

extends java.lang.Object
implements HL7v3AcknowledgementInfoInterface

Version:
  cvs revision: $Revision: 1.2 $ Last Modified: $Date: 2008/04/10 06:33:24 $
Author:
  Nageswara Samudrala

Field Summary
`static java.lang.String` | `version`

Constructor Summary
`HL7v3AcknowledgementInfo()` Constructor for HL7v3AcknowledgementInfo.
`HL7v3AcknowledgementInfo(com.stc.connector.framework.util.ConfigurationHelper aConfiguration)`

Method Summary
`java.lang.String` | `getAcknowledgementType()` Returns the acknowledgementType.
`boolean` | `isDeferredAcknowledgementType()` Method isDeferredAcknowledgementType.
`boolean` | `isImmediatAcknowledgementType()` Method isImmediatAcknowledgementType
`boolean` | `isQueuedAcknowledgementType()` Method isQueuedAcknowledgementType.
`void` | `setAcknowledgementType(java.lang.String acknowledgementType)` Sets the acknowledgementType.
`void` | `validate()` Method validate.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

Constructor Detail

### HL7v3AcknowledgementInfo

    public HL7v3AcknowledgementInfo()
                             throws HL7ApplicationException

  Constructor for HL7v3AcknowledgementInfo.

  Throws:
    `HL7ApplicationException`

### HL7v3AcknowledgementInfo

    public HL7v3AcknowledgementInfo(com.stc.connector.framework.util.ConfigurationHelper aConfiguration)
                             throws HL7ApplicationException

Throws:
  `HL7ApplicationException`

Method Detail

### getAcknowledgementType

    public java.lang.String getAcknowledgementType()

  Returns the acknowledgementType.

  Specified by:
    `getAcknowledgementType` in interface `HL7v3AcknowledgementInfoInterface`
  Returns:
    String

### setAcknowledgementType

    public void setAcknowledgementType(java.lang.String acknowledgementType)
                                throws HL7ApplicationException

  Sets the acknowledgementType.

  Specified by:
    `setAcknowledgementType` in interface `HL7v3AcknowledgementInfoInterface`
  Parameters:
    `acknowledgementType` - The acknowledgementType to set
  Throws:
    `HL7ApplicationException`

### isImmediatAcknowledgementType

    public boolean isImmediatAcknowledgementType()
                                          throws HL7ApplicationException

  Method isImmediatAcknowledgementType

  Specified by:
    `isImmediatAcknowledgementType` in interface `HL7v3AcknowledgementInfoInterface`
  Returns:
    boolean
  Throws:
    `HL7ApplicationException`

### isDeferredAcknowledgementType

    public boolean isDeferredAcknowledgementType()
                                          throws HL7ApplicationException

  Method isDeferredAcknowledgementType.

  Specified by:
    `isDeferredAcknowledgementType` in interface `HL7v3AcknowledgementInfoInterface`
  Returns:
    boolean
  Throws:
    `HL7ApplicationException`

### isQueuedAcknowledgementType

    public boolean isQueuedAcknowledgementType()
                                        throws HL7ApplicationException

  Method isQueuedAcknowledgementType.

  Specified by:
    `isQueuedAcknowledgementType` in interface `HL7v3AcknowledgementInfoInterface`
  Returns:
    boolean
  Throws:
    `HL7ApplicationException`

### validate

    public void validate()
                  throws HL7ApplicationException

  Method validate.

  Throws:
    `HL7ApplicationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD